Debian Bug report logs - #536453
add configuration support for `set gfxpayload=...'

version graph

Package: grub-common; Maintainer for grub-common is GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>; Source for grub-common is src:grub2.

Reported by: Darren Hoo <darren.hoo@gmail.com>

Date: Fri, 10 Jul 2009 01:39:02 UTC

Severity: wishlist

Tags: fixed-upstream, patch, pending

Merged with 538099, 557130, 562036

Found in version 1.96+20090709-1

Fixed in version grub2/1.98-1

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://savannah.gnu.org/bugs/?27094

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#536453; Package grub-common. (Fri, 10 Jul 2009 01:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Darren Hoo <darren.hoo@gmail.com>:
New Bug report received and forwarded. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Fri, 10 Jul 2009 01:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Darren Hoo <darren.hoo@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: add configuration support for `set gfxpayload=...'
Date: Fri, 10 Jul 2009 09:36:03 +0800
Package: grub-common
Version: 1.96+20090709-1
Severity: wishlist


since latest version of grub has made vga=0x318 deprecated in
favor of set gfxpayload=1027x768@32  before linux command
it would be nice that grub-common can support it through something
like GRUB_CMDLINE_LINUX does in /etc/default/grub so that every time
update-grub runs the configuration persists.




Forcibly Merged 536453 538099. Request was from Felix Zielcke <fzielcke@z-51.de> to control@bugs.debian.org. (Thu, 23 Jul 2009 07:54:07 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Felix Zielcke <fzielcke@z-51.de> to control@bugs.debian.org. (Thu, 23 Jul 2009 07:54:10 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://savannah.gnu.org/bugs/?27094'. Request was from Felix Zielcke <fzielcke@z-51.de> to control@bugs.debian.org. (Thu, 23 Jul 2009 20:03:16 GMT) Full text and rfc822 format available.

Forcibly Merged 536453 538099 557130. Request was from Felix Zielcke <fzielcke@z-51.de> to control@bugs.debian.org. (Fri, 20 Nov 2009 07:36:25 GMT) Full text and rfc822 format available.

Forcibly Merged 536453 538099 557130 562036. Request was from Felix Zielcke <fzielcke@z-51.de> to control@bugs.debian.org. (Tue, 22 Dec 2009 09:48:10 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 11 Feb 2010 17:21:29 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Tue, 09 Mar 2010 00:42:03 GMT) Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Tue, 09 Mar 2010 15:51:21 GMT) Full text and rfc822 format available.

Notification sent to Darren Hoo <darren.hoo@gmail.com>:
Bug acknowledged by developer. (Tue, 09 Mar 2010 15:51:21 GMT) Full text and rfc822 format available.

Message #24 received at 536453-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 536453-close@bugs.debian.org
Subject: Bug#536453: fixed in grub2 1.98-1
Date: Tue, 09 Mar 2010 15:50:20 +0000
Source: grub2
Source-Version: 1.98-1

We believe that the bug you reported is fixed in the latest version of
grub2, which is due to be installed in the Debian FTP archive:

grub-common_1.98-1_i386.deb
  to main/g/grub2/grub-common_1.98-1_i386.deb
grub-coreboot_1.98-1_i386.deb
  to main/g/grub2/grub-coreboot_1.98-1_i386.deb
grub-efi-amd64_1.98-1_i386.deb
  to main/g/grub2/grub-efi-amd64_1.98-1_i386.deb
grub-efi-ia32_1.98-1_i386.deb
  to main/g/grub2/grub-efi-ia32_1.98-1_i386.deb
grub-efi_1.98-1_i386.deb
  to main/g/grub2/grub-efi_1.98-1_i386.deb
grub-emu_1.98-1_i386.deb
  to main/g/grub2/grub-emu_1.98-1_i386.deb
grub-firmware-qemu_1.98-1_i386.deb
  to main/g/grub2/grub-firmware-qemu_1.98-1_i386.deb
grub-ieee1275_1.98-1_i386.deb
  to main/g/grub2/grub-ieee1275_1.98-1_i386.deb
grub-linuxbios_1.98-1_i386.deb
  to main/g/grub2/grub-linuxbios_1.98-1_i386.deb
grub-pc_1.98-1_i386.deb
  to main/g/grub2/grub-pc_1.98-1_i386.deb
grub-rescue-pc_1.98-1_i386.deb
  to main/g/grub2/grub-rescue-pc_1.98-1_i386.deb
grub2_1.98-1.diff.gz
  to main/g/grub2/grub2_1.98-1.diff.gz
grub2_1.98-1.dsc
  to main/g/grub2/grub2_1.98-1.dsc
grub2_1.98-1_i386.deb
  to main/g/grub2/grub2_1.98-1_i386.deb
grub2_1.98.orig.tar.gz
  to main/g/grub2/grub2_1.98.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 536453@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated grub2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 09 Mar 2010 13:25:35 +0000
Source: grub2
Binary: grub2 grub-linuxbios grub-efi grub-common grub-emu grub-pc grub-rescue-pc grub-coreboot grub-efi-ia32 grub-efi-amd64 grub-ieee1275 grub-firmware-qemu grub-yeeloong
Architecture: source i386
Version: 1.98-1
Distribution: unstable
Urgency: low
Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 grub-common - GRand Unified Bootloader, version 2 (common files)
 grub-coreboot - GRand Unified Bootloader, version 2 (Coreboot version)
 grub-efi   - GRand Unified Bootloader, version 2 (dummy package)
 grub-efi-amd64 - GRand Unified Bootloader, version 2 (EFI-AMD64 version)
 grub-efi-ia32 - GRand Unified Bootloader, version 2 (EFI-IA32 version)
 grub-emu   - GRand Unified Bootloader, version 2 (emulated version)
 grub-firmware-qemu - GRUB firmware image for QEMU
 grub-ieee1275 - GRand Unified Bootloader, version 2 (Open Firmware version)
 grub-linuxbios - GRand Unified Bootloader, version 2 (dummy package)
 grub-pc    - GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub-rescue-pc - GRUB bootable rescue images, version 2 (PC/BIOS version)
 grub-yeeloong - GRand Unified Bootloader, version 2 (Yeeloong version)
 grub2      - GRand Unified Bootloader, version 2 (dummy package)
Closes: 536453 566538 567469 567884 570340 572302 572854 572898
Changes: 
 grub2 (1.98-1) unstable; urgency=low
 .
   * New upstream release (closes: #572898).
     - Fix grub-script-check to handle empty lines (closes: #572302).
     - Fix offset computation when reading last sectors.  Partition reads and
       writes within and outside a partition (closes: #567469, #567884).
     - Fix script execution error handling bug that meant that an error in a
       menuentry's last statement caused the whole menuentry to fail (closes:
       #566538, LP: #464743).
     - Support GRUB_GFXPAYLOAD_LINUX (closes: #536453, LP: #416772).
 .
   [ Samuel Thibault ]
   * Add GRUB_INIT_TUNE example to /etc/default/grub (closes: #570340).
 .
   [ Colin Watson ]
   * Build-depend on libusb-dev so that grub-emu is reliably built with USB
     support (closes: #572854).
   * Update directions in debian/rules on exporting grub-extras to account
     for it being maintained in Bazaar nowadays.
   * Add myself to Uploaders.
   * Acknowledge NMUs, thanks to Torsten Landschoff and Julien Cristau.
Checksums-Sha1: 
 e7bdfc69a4f3cd8cd1f544c56d4c2a7ac1081a87 1854 grub2_1.98-1.dsc
 e83a2c438f4773a2e272c225983c0145e1ffd641 2449386 grub2_1.98.orig.tar.gz
 0fc96e70090b4f508616710d3f5117c82d32a15f 234828 grub2_1.98-1.diff.gz
 68a59070f2b27a9261edc6114503cd2f75632b8d 239290 grub2_1.98-1_i386.deb
 2c07ba52e0c73d4fce5abc4301b180cdab46c6b4 238048 grub-linuxbios_1.98-1_i386.deb
 beacfb32c138a80db800be924352e5d430dbaf8c 238054 grub-efi_1.98-1_i386.deb
 f4993b9d42c4d1e14a44c35bd86cb182abc4ce9e 1177034 grub-common_1.98-1_i386.deb
 8f2d6f274d9f3dbe4c829ac70d5005fc3f3a97be 881652 grub-emu_1.98-1_i386.deb
 b20b9d3363ba895fa48f9d6865d301055c9a01b9 867238 grub-pc_1.98-1_i386.deb
 8d2dad89e1342e8d77c3b134f9cd681e345cd9e3 238844 grub-rescue-pc_1.98-1_i386.deb
 d6463ffd068b724fd214c69f609c3d8807df333a 658116 grub-coreboot_1.98-1_i386.deb
 2a24d57ffbb6f5ea1ba0759f1e285c287f1c52b4 698532 grub-efi-ia32_1.98-1_i386.deb
 11678148d1621f1513e897b9cefaa2721a29d6f8 765056 grub-efi-amd64_1.98-1_i386.deb
 cd31db004a724d9ac940752192237c72ef845167 650908 grub-ieee1275_1.98-1_i386.deb
 8eaf8ae0732d54ef11c4c3763ac8f3bc6a346241 606248 grub-firmware-qemu_1.98-1_i386.deb
Checksums-Sha256: 
 852356bc3794fcad7ba96d6dee618d3be153178db2e2eb22049d7283eeea8a91 1854 grub2_1.98-1.dsc
 bef2c1892e052967b65aab6aa62ac702c0e50ef8848506eacf3c0b2f5007c614 2449386 grub2_1.98.orig.tar.gz
 79764e8f4ed3302557314ea7a6b0e01172be84072ff4360f62528303f7aa0220 234828 grub2_1.98-1.diff.gz
 eabcc2219f3da4ee8e7e2b0528d66eaeb7d2515723686058db3c7f2e962283a3 239290 grub2_1.98-1_i386.deb
 fba8366275f87a113f88a759e6086f6a1c3f69837a69ac1c2e0b47ac42be80f7 238048 grub-linuxbios_1.98-1_i386.deb
 62bdb58f8d599613aa35f02b8831d009b1b5ec328ff90da75625d406d3b9c421 238054 grub-efi_1.98-1_i386.deb
 fe1029530fc58569b1ebfee7d85f8e5bd45676fe83913e252c403d1119c9290b 1177034 grub-common_1.98-1_i386.deb
 79f1c89bc6e31e7091935b3ba332fd6158df300250bd415233300ee69f717063 881652 grub-emu_1.98-1_i386.deb
 5f32e3d316fad9821e11b456bfb52c4ea465c2d3f0483196afd181a8efe7b435 867238 grub-pc_1.98-1_i386.deb
 21e982004bcfdae17431fcc8b342f094ca36d71a795a28fc639f0dd2bda7dfd3 238844 grub-rescue-pc_1.98-1_i386.deb
 8ac28a9bbcc13b80deda0e8cc188296d0c73d125f5c1aef21fe0e0921fd0d9b8 658116 grub-coreboot_1.98-1_i386.deb
 7529ebbf5d867caf77e4eb72b43831dd7f00bc1af9ff963ed0c50dc4ea988517 698532 grub-efi-ia32_1.98-1_i386.deb
 87b647f8a1556e47c2b128ad422d6e0295c5ad3fced45aea33b18ac611efbe2b 765056 grub-efi-amd64_1.98-1_i386.deb
 8dd2277dbc4ac2a81de988fcc8a3a947edbebaa8d41b133d32b0dd571376f489 650908 grub-ieee1275_1.98-1_i386.deb
 855538dc70aa8afb3bf7625df4b52807bb07c09b9feb3b3a45522a7e8dda4c38 606248 grub-firmware-qemu_1.98-1_i386.deb
Files: 
 38e41e2daddf8674155707e043a76076 1854 admin extra grub2_1.98-1.dsc
 c0bcf60e524739bb64e3a2d4e3732a59 2449386 admin extra grub2_1.98.orig.tar.gz
 90471df9ad4ec61d588b3c15435b17fc 234828 admin extra grub2_1.98-1.diff.gz
 1fdfa561f5caa5ee3792d0f2387bd29e 239290 admin extra grub2_1.98-1_i386.deb
 fa0249ff455ee319735097baf05504a3 238048 admin extra grub-linuxbios_1.98-1_i386.deb
 27fa67cf61ad30a7839600f06918bf8a 238054 admin extra grub-efi_1.98-1_i386.deb
 44427817db4104f7ac0d88fc631c1208 1177034 admin extra grub-common_1.98-1_i386.deb
 6d0e84ed9435947d86cb97a8fc081bee 881652 admin extra grub-emu_1.98-1_i386.deb
 9c01f81b5da6eef23dc0640f87895102 867238 admin extra grub-pc_1.98-1_i386.deb
 9d9689810b3a31d4cc2cc0868d3cff07 238844 admin extra grub-rescue-pc_1.98-1_i386.deb
 a8572fa85506c7a0e29b69bc9729d821 658116 admin extra grub-coreboot_1.98-1_i386.deb
 03a8256201e831d54c39a2001e2da4cb 698532 admin extra grub-efi-ia32_1.98-1_i386.deb
 bbd215eae8e7edb547c41341fb6b424a 765056 admin extra grub-efi-amd64_1.98-1_i386.deb
 29eba01e020931f6ec4622f9bdcbfc35 650908 admin extra grub-ieee1275_1.98-1_i386.deb
 a2ceaec09ac733add3b0b8d4a68fc970 606248 admin extra grub-firmware-qemu_1.98-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iD8DBQFLlltB9t0zAhD6TNERAnnnAJ9v5v5xfW3i6ooIRzjNJl+VcdnUWQCfTnj0
VRrBbhSPkJ5fn1sYvNfaMVg=
=zQkj
-----END PGP SIGNATURE-----





Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Tue, 09 Mar 2010 15:51:22 GMT) Full text and rfc822 format available.

Notification sent to Miguelangel Jose Freitas Loreto <miguelangel.freitas@gmail.com>:
Bug acknowledged by developer. (Tue, 09 Mar 2010 15:51:22 GMT) Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Tue, 09 Mar 2010 15:51:23 GMT) Full text and rfc822 format available.

Notification sent to Saulo Soares de Toledo <saulotoledo@gmail.com>:
Bug acknowledged by developer. (Tue, 09 Mar 2010 15:51:23 GMT) Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Tue, 09 Mar 2010 15:51:24 GMT) Full text and rfc822 format available.

Notification sent to Jan Muszynski <debianbugs@jancm.org>:
Bug acknowledged by developer. (Tue, 09 Mar 2010 15:51:24 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 13 Mar 2010 19:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#536453; Package grub-common. (Fri, 19 Mar 2010 01:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Constantin Makshin" <cmakshin@gmail.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Fri, 19 Mar 2010 01:42:03 GMT) Full text and rfc822 format available.

Message #46 received at 536453@bugs.debian.org (full text, mbox):

From: "Constantin Makshin" <cmakshin@gmail.com>
To: 536453@bugs.debian.org
Subject: GRUB_GFXPAYLOAD_LINUX
Date: Fri, 19 Mar 2010 04:35:20 +0300
Hi!

I have two ideas regarding the recently-added "GRUB_GFXPAYLOAD_LINUX"  
option:
1) I guess the name "GRUB_GFXMODE_LINUX" is better because the new option  
is similar to the existing "GRUB_GFXMODE" one, but applies to Linux  
console only.
2) It shouldn't be applied to "rescue mode" entries because they are  
obviously meant to be as fail-safe as possible and "classic" text modes  
are better in this respect.

-- 
Constantin Makshin




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 Apr 2010 07:34:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 01:47:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.